## node-libravatar 1.1.1

=== debian/changelog ===
node-libravatar (1.1.1-1) unstable; urgency=low

  * Initial release (Closes: #661771)

 -- Francois Marier <francois@debian.org>  Fri, 02 Mar 2012 15:29:57 +1300

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_test:

## node-libravatar 2.0.0

=== Makefile ===
all:

announce:
	interactive-freecode-submit node-libravatar

test:
	@( test -x /usr/bin/json_verify && json_verify < package.json ) || true
	npm test

upload: test
	HTTP_PROXY= http_proxy= HTTPS_PROXY= https_proxy= npm publish

=== debian/changelog ===
node-libravatar (2.0.0-4) unstable; urgency=medium

  * Bump Standards-Version up to 3.9.6
  * Use canonical VCS URLs

 -- Francois Marier <francois@debian.org>  Fri, 19 Sep 2014 00:02:57 +1200

node-libravatar (2.0.0-3) unstable; urgency=low

  * debian/watch: poll github directly
  * Bump Standards-Version up to 3.9.4

 -- Francois Marier <francois@debian.org>  Mon, 20 May 2013 12:07:49 +1200

node-libravatar (2.0.0-2) unstable; urgency=low

  * More precise license tag and upstream contact in debian/copyright

 -- Francois Marier <francois@debian.org>  Tue, 29 May 2012 22:51:03 +1200

node-libravatar (2.0.0-1) unstable; urgency=low

  * New upstream release
    - new non-backward-compatible API

 -- Francois Marier <francois@debian.org>  Mon, 07 May 2012 14:54:19 +1200

=== debian/control ===
Source: node-libravatar
Priority: extra
Maintainer: Francois Marier <francois@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Section: web
Homepage: https://github.com/fmarier/node-libravatar
Vcs-Git: git://anonscm.debian.org/collab-maint/node-libravatar.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/node-libravatar.git

Package: node-libravatar
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, nodejs
Description: libravatar library for NodeJS
 This library allows web application authors to make use of the free Libravatar
 service (https://www.libravatar.org). This service hosts avatar images for
 users and allows other sites to look them up using email addresses.
 .
 node-libravatar includes full support for federated avatar servers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ 

override_dh_auto_test:

=== debian/watch ===
version=3
https://github.com/fmarier/node-libravatar/tags /fmarier/node-libravatar/archive/node-libravatar-([0-9.]+)\.tar\.gz

## node-libravatar 3.0.0

=== debian/changelog ===
node-libravatar (3.0.0-2) unstable; urgency=medium

  [ lintian-brush ]
  * Bump debhelper from old 12 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Submit.

  [ Yadd ]
  * Update standards version to 4.6.0, no changes needed.
  * Use dh-sequence-nodejs instead of pkg-js-tools
  * Fix GitHub tags regex
  * Update metadata

 -- Yadd <yadd@debian.org>  Fri, 24 Sep 2021 16:20:39 +0200

node-libravatar (3.0.0-1) unstable; urgency=medium

  * Declare compliance with policy 4.4.0
  * Add debian/gbp.conf
  * Add upstream/metadata
  * Update debian/watch
  * Change maintainer to Debian Javascript Maintainers (Closes: #940145)
  * New upstream version 3.0.0
  * Update homepage
  * Switch install to pkg-js-tools
  * Enable upstream test

 -- Yadd <yadd@debian.org>  Sat, 28 Sep 2019 09:34:13 +0200

node-libravatar (2.0.0-6) unstable; urgency=medium

  * Move files to /usr/lib/nodejs/node-libravatar/
  * Set Section to javascript
  * Bump Standards-Version up to 4.3.0
  * Bump debhelper compat to 12

 -- Francois Marier <francois@debian.org>  Fri, 01 Mar 2019 22:53:26 -0800

node-libravatar (2.0.0-5) unstable; urgency=medium

  * Run wrap-and-sort
  * Update VCS URLs for salsa
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.1.4
  * Switch package priority to optional
  * Use HTTPS URL in debian/copyright (lintian warning)
  * Bump copyright year in debian/copyright
  * Remove trailing whitespace from debian/rules

 -- Francois Marier <francois@debian.org>  Sun, 06 May 2018 15:04:13 -0700

=== debian/control ===
Source: node-libravatar
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Yadd <yadd@debian.org>
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13)
 , node-tap <!nocheck>
 , dh-sequence-nodejs
Standards-Version: 4.6.0
Section: javascript
Homepage: https://github.com/coloradocolby/node-libravatar
Vcs-Git: https://salsa.debian.org/debian/node-libravatar.git
Vcs-Browser: https://salsa.debian.org/debian/node-libravatar

Package: node-libravatar
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
Description: libravatar library for NodeJS
 This library allows web application authors to make use of the free Libravatar
 service (https://www.libravatar.org). This service hosts avatar images for
 users and allows other sites to look them up using email addresses.
 .
 node-libravatar includes full support for federated avatar servers.

=== debian/watch ===
version=4
opts=\
dversionmangle=auto \
 https://github.com/coloradocolby/node-libravatar/tags .*/archive/.*/(?:node-libravatar-)?([\d\.]+)\.tar\.gz
